#
# spec file for package fvwm-themes (Version 0.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  fvwm2 xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex fvwm2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         fvwm-themes
Copyright:    GPL
Group:        X11/Window Managers
Autoreqprov:  on
Version:      0.4.2
Release:      111
Requires:     fvwm2 >= 2.3.30, perl >= 5.002
Summary:      configurational framework for FVWM
URL:	      http://fvwm-themes.sourceforge.net/
Source0:      http://prdownloads.sourceforge.net/fvwm-themes/fvwm-themes-%{version}.tar.bz2
Patch0:       fvwm-themes-0.4.2-icon-names.patch
Patch1:       fvwm-themes-0.4.2-menustyle-fontset.patch
Patch2:       fvwm-themes-windowlook-fontset.patch
Patch3:       fvwm-themes-modules-fontset.patch
BuildRoot:    %{_tmppath}/%{name}-root
BuildArch:    noarch

%description
FVWM Themes is a powerful configurational framework for FVWM,
designed to be easily extendible and configurable, includes
several pre-built themes, a pack of images and sounds.

Authors:
--------
    Mikhael Goikhman <migo@homemail.com>

SuSE series: xwm

%prep
%setup 
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" ./configure --disable-build-menus \
				    --without-gnome
make

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make ROOT_PREFIX=$RPM_BUILD_ROOT install

%post
[ -x usr/X11R6/bin/fvwm-themes-menuapp ] && fvwm-themes-menuapp --site --build-menus --remove-popup || true

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README TODO
%doc doc/FAQ doc/README.1st doc/colorsets doc/fvwm-themes.lsm
/usr/X11R6/bin/*
/usr/X11R6/man/*
/usr/X11R6/share/fvwm/*

%changelog -n fvwm-themes
* Thu Apr 26 2001 - mfabian@suse.de
- correct icon names
- patch fonts to work with Japanese
* Tue Apr 24 2001 - mfabian@suse.de
- new package: fvwm-themes, version 0.4.2
